Skip to content
vocapable.Docs

Summarize all survey responses matching the selected filters

GET
/v1/survey-responses/summary
curl --request GET \
--url https://api.vocapable.com/v1/survey-responses/summary \
--header 'Authorization: Bearer <token>'
agent_id
string

Same filter as the survey-response list. Supports .gte, .lte, .gt, .lt and .in suffixes; comma-separated values mean OR. Pagination does not affect totals.

agent_id.gte
Any of:
string

Filter on agent_id with the gte operator.

agent_id.lte
Any of:
string

Filter on agent_id with the lte operator.

agent_id.gt
Any of:
string

Filter on agent_id with the gt operator.

agent_id.lt
Any of:
string

Filter on agent_id with the lt operator.

agent_id.in
Any of:
string

Filter on agent_id with the in operator.

agent_version_id
string

Same filter as the survey-response list. Supports .gte, .lte, .gt, .lt and .in suffixes; comma-separated values mean OR. Pagination does not affect totals.

agent_version_id.gte
Any of:
string

Filter on agent_version_id with the gte operator.

agent_version_id.lte
Any of:
string

Filter on agent_version_id with the lte operator.

agent_version_id.gt
Any of:
string

Filter on agent_version_id with the gt operator.

agent_version_id.lt
Any of:
string

Filter on agent_version_id with the lt operator.

agent_version_id.in
Any of:
string

Filter on agent_version_id with the in operator.

call_id
string

Same filter as the survey-response list. Supports .gte, .lte, .gt, .lt and .in suffixes; comma-separated values mean OR. Pagination does not affect totals.

call_id.gte
Any of:
string

Filter on call_id with the gte operator.

call_id.lte
Any of:
string

Filter on call_id with the lte operator.

call_id.gt
Any of:
string

Filter on call_id with the gt operator.

call_id.lt
Any of:
string

Filter on call_id with the lt operator.

call_id.in
Any of:
string

Filter on call_id with the in operator.

campaign_id
string

Same filter as the survey-response list. Supports .gte, .lte, .gt, .lt and .in suffixes; comma-separated values mean OR. Pagination does not affect totals.

campaign_id.gte
Any of:
string

Filter on campaign_id with the gte operator.

campaign_id.lte
Any of:
string

Filter on campaign_id with the lte operator.

campaign_id.gt
Any of:
string

Filter on campaign_id with the gt operator.

campaign_id.lt
Any of:
string

Filter on campaign_id with the lt operator.

campaign_id.in
Any of:
string

Filter on campaign_id with the in operator.

completion_status
string

Same filter as the survey-response list. Supports .gte, .lte, .gt, .lt and .in suffixes; comma-separated values mean OR. Pagination does not affect totals.

completion_status.gte
Any of:
string

Filter on completion_status with the gte operator.

completion_status.lte
Any of:
string

Filter on completion_status with the lte operator.

completion_status.gt
Any of:
string

Filter on completion_status with the gt operator.

completion_status.lt
Any of:
string

Filter on completion_status with the lt operator.

completion_status.in
Any of:
string

Filter on completion_status with the in operator.

created_at
string

Same filter as the survey-response list. Supports .gte, .lte, .gt, .lt and .in suffixes; comma-separated values mean OR. Pagination does not affect totals.

created_at.gte
Any of:
string

Filter on created_at with the gte operator.

created_at.lte
Any of:
string

Filter on created_at with the lte operator.

created_at.gt
Any of:
string

Filter on created_at with the gt operator.

created_at.lt
Any of:
string

Filter on created_at with the lt operator.

created_at.in
Any of:
string

Filter on created_at with the in operator.

use_case
string

Same filter as the survey-response list. Supports .gte, .lte, .gt, .lt and .in suffixes; comma-separated values mean OR. Pagination does not affect totals.

use_case.gte
Any of:
string

Filter on use_case with the gte operator.

use_case.lte
Any of:
string

Filter on use_case with the lte operator.

use_case.gt
Any of:
string

Filter on use_case with the gt operator.

use_case.lt
Any of:
string

Filter on use_case with the lt operator.

use_case.in
Any of:
string

Filter on use_case with the in operator.

Successful Response

Media typeapplication/json
SurveyResponseSummary

All saved responses matching the list filters, independent of pagination.

object
total
required
Total
integer
complete
required
Complete
integer
partial
required
Partial
integer
refused
required
Refused
integer
scored
required
Scored
integer
average_score
Any of:
number
Examplegenerated
{
"total": 1,
"complete": 1,
"partial": 1,
"refused": 1,
"scored": 1,
"average_score": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}